package com.jsf.httpsessionlistener;

import java.util.Map;

import javax.faces.application.FacesMessage;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;
import javax.faces.context.FacesContext;
import javax.servlet.http.HttpSession;

@ManagedBean @RequestScoped
public class LoginBean {

	private String loginName;
	private String loginPassword;
	private static HttpSession sessionObj;

	public String getLoginName() {
		return loginName;
	}

	public void setLoginName(String loginName) {
		this.loginName = loginName;
	}

	public String getLoginPassword() {
		return loginPassword;
	}

	public void setLoginPassword(String loginPassword) {
		this.loginPassword = loginPassword;
	}

	/* Method To Perform Application Login & Logout */
	public String doApplicationLoginLogout() {	
		String appResponse = "";				
		Map<String,String> parameterValue = FacesContext.getCurrentInstance().getExternalContext().getRequestParameterMap();
		if(parameterValue.get("operation").equals("login")) {
			System.out.println("Entered Username?= " + loginName + ", Password?= " + loginPassword);
			if(loginName.equalsIgnoreCase("javacodegeek") && loginPassword.equals("access123")) {
				appResponse = "success";							
				sessionObj = (HttpSession) FacesContext.getCurrentInstance().getExternalContext().getSession(true);
			}
			else {
				appResponse = "login";
				FacesContext.getCurrentInstance().addMessage("loginForm:loginName", new FacesMessage("Username Or Password Is Incorrect"));				
			}
		} else {			
			sessionObj.invalidate();			
			appResponse = "login";
		}
		return appResponse;
	}
}